{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
	<title>TweetMiner</title>
	<meta http-equiv="Content-Type" content="text/html"; charset="utf-8"/>
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">
<!--===============================================================================================-->	
 <!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/font-awesome-4.7.0/css/font-awesome.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/Linearicons-Free-v1.0.0/icon-font.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/animate/animate.css' %}"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/css-hamburgers/hamburgers.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/animsition/css/animsition.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/select2/select2.min.css' %}"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/daterangepicker/daterangepicker.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'css/util.css' %}"/>
	<link rel="stylesheet" type="text/css" href="{% static 'css/main.css' %}"/>
<!--===============================================================================================-->
<link rel="stylesheet" href="http://code.jquery.com/ui/1.8.18/themes/base/jquery-ui.css" type="text/css" media="all" /> 
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"> </script> 
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.16/jquery-ui.min.js" type="text/javascript"></script>
 
 </head>
<body>
		
	<div class="limiter">
		<div class="container-login100">
			<div class="wrap-login100" style="width:1230px">
			<div class="login100-form-title">
					<img class="company-logo" src="{% static 'images/logo-company.png' %}" alt="company logo" />
					<img class="app-logo" src="{% static 'images/logo-app.png' %}" alt="app logo" />
				</div>

				<div>
                                <select id="mbPOCControlsLangDrop"></select>
                                </div>
                                <br />

			<div class="navbar">
					<div class="nav-container">
						<div class="navbar-right">
							<span class="navbar-item active">
								<a href="/" data-mlr-text>المشاریع</a>
							</span>
						</div>
						<div class="navbar-right">
								<span class="navbar-item">
									<a href="../account_edit" data-mlr-text>إدارة الحساب</a>
								</span>
								<span class="navbar-item">
									<a href="logout" data-mlr-text>تسجیل الخروج</a>
								</span>

							<span class="navbar-search">
							<form id="searchh"method='POST' action='search/{{id}}'>

								<input type="text" name='search' id="search" data-mlr-text placeholder="بحث"/>{% csrf_token %}
								<button type='submit' class="btn btn-default">
									<i class="fa fa-search" aria-hidden="true"></i>
								</button>
								</form>
							</span>
						</div>
					</div>
				</div>
			<div class="project-banner">
			<div class="page-banner">
				<h1 class="Page-title"> {{name}} </h1>
				<div align="right"><button type="button" style="background:solid black !important;"class="btn btn-primary"onclick="reset()" data-mlr-text>إعادة تعیین التحلیل</button></div>
				</div>
				<div align="center"><p><br />Keywords : {{keywords}}</p></div>

			</div>	
<div id="alertparent">
{% if error_msg %}
<div class="alert alert alert-danger alert-dismissible fade show" role="alert"  id="aler">
  <strong>ERROR!!!!</strong> {{ error_msg }}
  <button type="button" onclick="create()" class="close" data-dismiss="alert" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
{% endif %}
</div>
<div>	
   <div align="center">
		<iframe id="timeline" width="100%" height="450px" src="http://34.66.198.6/{{id}}/timeline/0/999999999999999/top/top"></iframe>
</div>

   <div align="center">
		<iframe id="sentiment_trend" width="100%" height="450px" src="http://34.66.198.6/{{id}}/sentiment_trend/0/999999999999999/top/top/automatic"></iframe>
</div>
<div class="container-fluid">
<div class="row">
		<div class="col-md-6 col-sm-12 panel">
		<h5 class="panel-title" data-mlr-text>تحلیل المشاعر</h5>
		<iframe id="sentiments" width="100%" height="450px" src="http://34.66.198.6/{{id}}/sentiments/0/999999999999999/top/top"></iframe>
		</div>
		<div class="col-md-6 col-sm-12 panel">
		<h5 class="panel-title" data-mlr-text>الأوسمة</h5>
		<iframe id="hashtags" width="100%" height="450px"src="http://34.66.198.6/{{id}}/hashtags/0/999999999999999/top/top"></iframe>
		</div>
</div>
</div>

<div class="container-fluid">
<div class="row">
                <div class="col-md-6 col-sm-12 panel">
		<h5 class="panel-title" data-mlr-text>الحسابات الوهمیة</h5>
		<iframe id="account" width="100%" height="400px" src="http://34.66.198.6/{{id}}/account/0/999999999999999/top/top"></iframe>
                </div>
                <div class="col-md-6 col-sm-12 panel">
		<h5 class="panel-title" data-mlr-text>أوائل المغردین</h5>
		<iframe id="adopter" width="100%" height="400px" src="http://34.66.198.6/{{id}}/adopter/0/999999999999999/top/top"></iframe>
                </div>
</div>
</div>

<div class="container-fluid">
<div class="row">
                <div class="col-md-6 col-sm-12 panel">
		<h5 class="panel-title" data-mlr-text>المغردین المذكورین</h5>
		<iframe id="mentions_screen_name" width="100%" height="450px"src="http://34.66.198.6/{{id}}/mentions_screen_name/0/999999999999999/top/top"></iframe>
                </div>
                <div class="col-md-6 col-sm-12 panel">
			<h5 class="panel-title"data-mlr-text>المغردین</h5>
			<iframe id="screen_name" width="100%" height="450px"src="http://34.66.198.6/{{id}}/screen_name/0/999999999999999/top/top"></iframe>
                </div>
</div>
</div>

		<div class="container-fluid">
		<div class="row">
		<div class="col-md-6 col-sm-12 panel">
		<h5 class="panel-title"><p class="panel-othertitle" data-mlr-text>التغریدات</p>
		<select id="sel" class="option-choice" onchange="view()">
		<option value="all" data-mlr-text>الكل</option>
		<option value="Links" data-mlr-text>الروابط</option>
		<option value="photo" data-mlr-text>الصور</option>
		<option value="video" data-mlr-text>الفیدیو</option>
		<option value="other" data-mlr-text>أخرى</option>
		</select></h5>
		<iframe id="twitter" width="100%" height="450px" src="http://34.66.198.6/{{id}}/twitter/0/999999999999999/All/all/top/top"></iframe>
		</div>
		<div class="col-md-6 col-sm-12 panel">
			<h5 class="panel-title" data-mlr-text>الموقع الجغرافي</h5>
			<iframe id="map" src="http://34.66.198.6/{{id}}/map/0/999999999999999/top/top" width="100%" height="471px"></iframe>
			</div>
			</div>	
			</div>
<div class="container-fluid">
<div class="row">
		<div class="col-md-12 col-sm-12 panel">
			<h5 class="panel-title"><p data-mlr-text class="panel-othertitle">التحلیل الشبكي</p><div align="right"><button type="button" style="background:solid black !important;" class="btn btn-primary btn-prev" onclick="prev()" data-mlr-text>السابق</button> <button type="button" onclick="next()" style="background:solid black !important;" class="btn btn-primary btn-next" data-mlr-text>التالي</button>   </div> 
			</h5>
			<iframe id="chirp" width="100%" height="400px"src="http://34.66.198.6:3838/?id={{id}}&min=0&max=999999999999999&top=top&word=word&skip=0"></iframe>
		</div>
</div>
</div>
<div class="container-fluid">
		<div class="row">
		<div class="col-md-6 col-sm-12 panel">
			<h5 class="panel-title" data-mlr-text>الكلمات السحابیة</h5>
			<iframe id="word-cloud" width="100%" height="462px" src="http://34.66.198.6/{{id}}/word/0/999999999999999/All/all/top/top"></iframe>

		</div>
		<div class="col-md-6 col-sm-12 panel">
			<h5 class="panel-title" data-mlr-text>سیاق الكلام</h5>
				<iframe id="word-assoc" width="100%" height="462px" src="http://34.66.198.6/{{id}}/word/0/999999999999999/All/all/top/top/_"></iframe>
		</div>
	</div>	
</div>
</div>
		</div>
		</div>

</div>

</div>

</div>
		</div>
	
<!--===============================================================================================-->
	<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'vendor/animsition/js/animsition.min.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'vendor/bootstrap/js/popper.js' %}"></script>
	<script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'vendor/select2/select2.min.js' %}"></script>
<!--===============================================================================================-->
		<script src="{% static 'vendor/daterangepicker/moment.min.js' %}"></script>
	<script src="{% static 'vendor/daterangepicker/daterangepicker.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'vendor/countdowntime/countdowntime.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'js/main.js' %}"></script>
	 <script src="{% static 'js/lang.js' %}"></script>
 
	<script>
// Since all the charts are made of iframe so changing the src of the iframe will change the data within them. This is applied 
// on all the html templates. If a hashtag is clicked then correspondingly all the iframes src will be changed. The same applies top
// screen_name and mentions_screen_name
var id={{id|safe}};
var min=0;
var length={{length|safe}};
var count=0;
var max=999999999999999;
// Function to call when next button on network analysis is clicked
function next(){

count=count+1000;

if(count>length){
count=0;
}

chirp=document.getElementById("chirp")
src=chirp.src
index=src.indexOf("skip=");
src=src.slice(0,index-1)
src+="&skip="+count
loadIframe("chirp",src)

}
// Function to call when prev button on network analysis is clicked

function prev(){
count=count-1000

if(count<0){
count=0
}

chirp=document.getElementById("chirp")
src=chirp.src
index=src.indexOf("skip=");
src=src.slice(0,index-1)
src+="&skip="+count
loadIframe("chirp",src)

}

// Function to call when reset analysis button is clicked

function reset(){
	 
	 src="http://34.66.198.6/"+id+"/timeline/0/999999999999999/top/top"
         loadIframe("timeline",src)
	 src="http://34.66.198.6/"+id+"/map/0/999999999999999/top/top"
         loadIframe("map",src)
	 src="http://34.66.198.6:3838/?id="+id+"&min=0&max=999999999999999&top=top&word=word&skip=0"
	 loadIframe("chirp",src)
	 src="http://34.66.198.6/"+id+"/account/0/999999999999999/top/top"
         loadIframe("account",src)
	 src="http://34.66.198.6/"+id+"/sentiment_trend/0/999999999999999/top/top/automatic"
     	 loadIframe("sentiment_trend",src)
	 src="http://34.66.198.6/"+id+"/hashtags/0/999999999999999/top/top"
         loadIframe("hashtags",src)
	 src="http://34.66.198.6/"+id+"/mentions_screen_name/0/999999999999999/top/top"
         loadIframe("mentions_screen_name",src)
	 src="http://34.66.198.6/"+id+"/screen_name/0/999999999999999/top/top"
         loadIframe("screen_name",src)
	 src="http://34.66.198.6/"+id+"/sentiments/0/999999999999999/top/top"
         loadIframe("sentiments",src)
	 src="http://34.66.198.6/"+id+"/twitter/0/999999999999999/All/"+document.getElementById("sel").value+"/top/top"
         loadIframe("twitter",src)
	 src="http://34.66.198.6/"+id+"/word/0/999999999999999/All/"+document.getElementById("sel").value+"/top/top"
         loadIframe("word-cloud",src)
	 loadIframe("word-assoc","http://34.66.198.6/"+id+"/word/0/999999999999999/All/all/top/top/_")



}

// Function to return the nth index of a character in a string
function nthIndex(str, pat, n){
    var L= str.length, i= -1;
    while(n-- && i++<L){
        i= str.indexOf(pat, i);
        if (i < 0) break;
    }
    return i;
}	

// Function to call when the select option is changed
function view(){

sel=document.getElementById("twitter")
index=nthIndex(sel.src,"/",9)
end=(sel.src).slice(index,(sel.src).length)
src=(sel.src).slice(0,index)
index=(src).lastIndexOf("/")
src=(src).substring(0,index+1)
src+=document.getElementById("sel").value+end
loadIframe("twitter","//:0")
loadIframe("twitter",src)
src=src.replace("twitter","word")
loadIframe("word-cloud","//:0")
loadIframe("word-cloud",src)
loadIframe("word-assoc","http://34.66.198.6/"+id+"/word/0/999999999999999/All/all/top/top/_")

}
// Function to change the src of the iframe
 function loadIframe(iframeName, url) {
$("#"+iframeName).contents().find("html").html("");
document.getElementById(iframeName).src=url

}

	  
	  function create(){
	document.getElementById('alertparent').innerHTML="<div class='alert alert alert-danger alert-dismissible fade show' role='alert' style='display:none' id='aler'>   <strong>ERROR!!!!</strong> There is something wrong with the fields entered. See the respective cells for further details. <button type='button' class='close' onclick='create()' data-dismiss='alert' aria-label='Close'> <span aria-hidden='true'>&times;</span> </button> </div>"
	}
	

	</script>

	
	
 
</body>
</html>
